Support » Plugin: NextGEN Custom Fields » Help! Not working anymore.

  • I’m using WP 3.9, and the latest Nextgen plugin.

    After installing NGCF, I’ve got this errors in the Custom Fields page:

    Notice: Undefined index: mode in /wp-content/plugins/nextgen-gallery-custom-fields/ngg-custom-fields.php on line 346

    and in Gallery Images page:

    Notice: wpdb::escape is deprecated since version 3.6! Use wpdb::prepare() or esc_sql() instead. in /wp-includes/functions.php on line 3078

    What might go wrong?

    Thanks.

    https://wordpress.org/plugins/nextgen-gallery-custom-fields/

Viewing 3 replies - 1 through 3 (of 3 total)
  • The wpdb::escape warning is gone by replacing all $wpdb->escape to $wpdb->_escape in the plugin file. Now there’s another error in every custom field showing in the gallery images page:

    Trying to get property of non-object in <b>/wp-content/plugins/nextgen-gallery-custom-fields/ngg-custom-fields.php</b> on line <b>720

    Looks like the field_type has different values (I’m not sure where that came from), but it’s now fixed by changing them inside the switch operator line 718:

    1 for ‘NGGCF_FIELD_TYPE_INPUT’
    2 for ‘NGGCF_FIELD_TYPE_TEXTAREA’
    3 for ‘NGGCF_FIELD_TYPE_SELECT’

    Now I’m getting this error in line 721 for empty field value, and fixed using ternary operator as follows:

    <?php echo !empty($value) ? esc_attr($value->field_value):''; ?>

    I’m still not sure what’s the workaround for the ‘Notice: Undefined index: mode’ warning though.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Help! Not working anymore.’ is closed to new replies.